Bug 1572602 - Can't use lvm cache on raid in kickstart logvol command
Summary: Can't use lvm cache on raid in kickstart logvol command
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 33
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1572605 1642085 1695911 1695913
TreeView+ depends on / blocked
 
Reported: 2018-04-27 11:57 UTC by Jiri Konecny
Modified: 2020-08-11 15:32 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1572605 1642085 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
reproducer kickstart (582 bytes, text/plain)
2018-04-27 11:57 UTC, Jiri Konecny
no flags Details

Description Jiri Konecny 2018-04-27 11:57:02 UTC
Created attachment 1427637 [details]
reproducer kickstart

Description of problem:
Having LVM PV used for cache on raid returning error:

Cache PVs must belong to the same VG as the cached LV

In the kickstart file I have only 1 VG and all the PVs are in it. It is working correctly when the PV is not raid.


Version-Release number of selected component (if applicable):
anaconda-29.12-1

How reproducible:
Always

Steps to Reproduce:
1. Start automatic installation with attached kickstart file

Actual results:
Error that the kickstart file not correct.

Expected results:
Installation should correctly finish.

Additional info:
This is happening also on Fedora 27 and most probably for 28 too.

Comment 1 Jan Kurik 2018-08-14 10:05:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Johan Söderberg 2018-09-30 14:51:11 UTC
This one is present in Centos 7.5 as well.

Comment 3 Doug Ledford 2019-04-03 20:39:55 UTC
This bug still exists in Fedora 30 Beta

Comment 4 Doug Ledford 2019-04-03 20:49:05 UTC
Since Fedora 29 installer is golden, this should probably be moved to Fedora 30 where it still has a chance of being fixed.

Also, you can't (safely) have a writeback cache without raid to provide redundancy, so until this is fixed only writethrough cache creation commands are supportable in a kickstart.

I also set the severity to high on this bug because there is no workaround.  You can't create the lvs in a %pre because the --useexisting and --noformat options for raid devices is not working properly either (I'll file a separate bug about that).

Comment 5 Doug Ledford 2019-04-04 15:23:51 UTC
Do you need logs for this bug, or is the reproducer sufficient?  This bug and bug #1695913 are the only ones remaining that block my particular kickstart drive setup.

Comment 6 Ben Cotton 2020-04-30 22:14:13 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Jiri Konecny 2020-05-04 13:04:11 UTC
Still reproducible on Rawhide.

Comment 8 Ben Cotton 2020-08-11 15:32:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.


Note You need to log in before you can comment on or make changes to this bug.